cURL
curl --request DELETE \
--url https://app.aegister.com/api/v1/atb/{id} \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/atb/{id}"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/atb/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"data": {
"id": 2,
"organization": {
"id": 123,
"name": "<string>",
"logo": "<string>"
},
"atb_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"check": {
"stat": {
"vpn": 0.5,
"dnsbl": 0.5,
"iplist": 0.5,
"datetime": "2023-11-07T05:31:56Z"
},
"status": 0.5,
"web_stat": [
{
"datetime": "2023-11-07T05:31:56Z",
"waf_protection": 1,
"total_managed_requests": 1
}
],
"chart_stat": [
{
"bucket_start": 1,
"bucket_end": 1,
"total_requests": 1,
"malicious_requests": 1
}
]
},
"plugin": {
"config": {}
},
"endpoint": "127.0.0.1",
"privateIP": "127.0.0.1",
"services": [],
"device_id": "<string>"
}
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}ATB
Delete Aegister Threat Blocker configuration
Soft delete an Threat Blocker configuration from the Web Application.
You can delete only Threat Blocker configurations for organizations you can manage.
DELETE
/
api
/
v1
/
atb
/
{id}
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
⌘I

